Bug 756921 - Gajim continuously emit errors
Gajim continuously emit errors
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pygobject2 (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
https://trac.gajim.org/ticket/7057
: Reopened, Upstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-25 01:49 EST by Pavel Alexeev
Modified: 2014-02-05 17:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:43:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2011-11-25 01:49:54 EST
Description of problem:
After start gajim do not stop emit errors like:

(gajim:19437): GLib-GObject-CRITICAL **: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed

(gajim:19437): GLib-GObject-CRITICAL **: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed

(gajim:19437): GLib-GObject-CRITICAL **: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed

(gajim:19437): GLib-GObject-CRITICAL **: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed

(gajim:19437): GLib-GObject-CRITICAL **: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed


to .xsession-errors file.

Version-Release number of selected component (if applicable):
$ rpm -q gajim
gajim-0.15-0.4.904c620b38d7.hg.fc16.R.noarch

How reproducible:
Always
Comment 1 Michal Schmidt 2011-11-25 06:33:28 EST
> $ rpm -q gajim
> gajim-0.15-0.4.904c620b38d7.hg.fc16.R.noarch

This is not a Fedora-provided gajim package.
Reopen if it is reproducible with the package from Fedora.
Comment 2 Pavel Alexeev 2011-12-11 10:46:42 EST
Ok, sorry.
Comment 3 Minh Ngo 2011-12-18 19:15:53 EST
It is reproducible with the package from official repos
[ignotus@fedorko lab7]$ rpm -q gajim
gajim-0.14.3-1.fc16.noarch
Comment 4 Michal Schmidt 2011-12-21 21:37:57 EST
OK, reopening.
Please try gajim-0.15-0.2.beta3.fc16 from updates-testing (it should be there soon, it's being pushed). Do you get the same error messages?
What is the frequency of these messages appearing? Do they correlate with any specific activity in Gajim? Other than the messages, are you seeing any breakage in Gajim?
Comment 5 Minh Ngo 2011-12-22 02:40:07 EST
I have installed gajim 0.15 and get the same error messages

** Message: pygobject_register_sinkfunc is deprecated (GstObject)

(gajim:3760): GLib-GObject-CRITICAL **: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed

(gajim:3760): GLib-GObject-CRITICAL **: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed

infinite number of times :)

I'm not seeing any breakage in Gajim.
Comment 6 Michal Schmidt 2012-01-31 04:31:15 EST
Upstream developers are aware of these warnings, but so far they have no idea what causes them.
Comment 7 Fedora End Of Life 2013-02-13 21:05:07 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Pavel Alexeev 2013-04-21 14:34:50 EDT
Still there (see f.e. bug 953243).
Comment 9 Michal Schmidt 2013-04-22 04:10:52 EDT
So in the Gajim upstream ticket https://trac.gajim.org/ticket/7057 they suggested the problem is caused by pygobject bug https://bugzilla.gnome.org/show_bug.cgi?id=661155.

The patch for the bug is included in Fedora pygobject2 on the f19 and master branches (as 0001-Fix-set_qdata-warning-on-accessing-NULL-gobject-prop.patch), but it is not present in f18. Reassigning to pygobject2.
Comment 10 Fedora End Of Life 2013-12-21 09:58:44 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2014-02-05 17:43:39 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.